# tgp.h File Reference

Functions for the Perlin noise enhanced map generator. More...

Go to the source code of this file.

## Functions
void | GenerateTerrainPerlin ()
| The main new land generator using Perlin noise.

## Detailed Description

Functions for the Perlin noise enhanced map generator.

Definition in file tgp.h.

## Function Documentation

void GenerateTerrainPerlin | ( |  | ) |

The main new land generator using Perlin noise.

Desert landscape is handled different to all others to give a desert valley between two high mountains. Clearly if a low height terrain (flat/very flat) is chosen, then the tropic areas wont be high enough, and there will be very little tropic on the map. Thus Tropic works best on Hilly or Mountainous.

Definition at line 986 of file tgp.cpp.

References _settings_game, AllocHeightMap(), GameSettings::construction, ConstructionSettings::freeform_edges, FreeHeightMap(), GenerateWorldSetAbortCallback(), GWP_LANDSCAPE, H2I, HeightMap::height(), HeightMapGenerate(), HeightMapNormalize(), IncreaseGeneratingWorldProgress(), MakeVoid(), TgenSetTileHeight(), and TileXY().

Referenced by GenerateLandscape().